var DomWalker = require('./DomWalker');
var convert = require('./NodeConversions');
module.exports = (function () {
    function Converter(parser) {
        this.parser = parser;
    }
    Converter.prototype.convert = function (html, options) {
        html = html.trim();
        return this.convertDomElement(this.parser.parse(html), options);
    };
    Converter.prototype.convertDomElement = function (htmlElement, options) {
        options = this.overrideDefaults(options);
        var walker = new DomWalker(htmlElement);
        var conversion = convert({ domWalker: walker, options: options });
        return conversion;
    };
    Converter.prototype.overrideDefaults = function (overrides) {
        var currentOptions = {
            rawHtmlElements: ['div', 'table', 'td', 'tr', 'th', 'tbody', 'thead'],
            ignoredHtmlElements: ['custom-root', 'body'],
            interpretUnknownHtml: true,
        };
        Object.keys(overrides || {}).forEach(function (key) {
            currentOptions[key] = overrides[key];
        });
        return currentOptions;
    };
    return Converter;
})();
//# sourceMappingURL=Converter.js.map